Bug 178360 - Review Request: xmms-adplug
Review Request: xmms-adplug
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 177818
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-19 15:02 EST by Linus Walleij
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 13:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2006-01-19 15:02:04 EST
Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/adplug-xmms.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/adplug-xmms-1.1-1.src.rpm
Description: AdPlug-XMMS is a XMMS plug-in for for AdLib (OPL2) music utilizing
the AdPlug library.
Comment 1 Ville Skyttä 2006-01-22 16:08:13 EST
The package should be named xmms-adplug:
http://fedoraproject.org/wiki/PackageNamingGuidelines#head-b624c4531e7a94b9b2c5a2914635e0ad64cda0a6

Comment 2 Linus Walleij 2006-01-24 11:08:06 EST
Fixed it:
Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug-1.1-2.src.rpm
Comment 3 Linus Walleij 2006-01-24 17:04:33 EST
New package:
Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug-1.1-3.src.rpm
Comment 4 Warren Togami 2006-01-24 23:49:14 EST
# Package name is adplug-xmms upstream, but Fedora Extras policies
# count it as a subpackage to XMMS so it has been renamed xmms-adplug.
# For the source tree to match, adplug-xmms was unpacked, the source
# directory renamed xmms-adplug and the result repacked to a .tar.gz
# file with this name. For this reason the Source: field below is
# not accurate. To download the source, get adplug-xmms from the
# same source.

Please do not do this.  It is best to use the upstream source tarball verbatim
whenever possible, and simply override the source dir during %prep.

%setup -q -n name-version

Please fix this and let me know when you're ready for review.
Comment 5 Linus Walleij 2006-01-25 04:48:46 EST
OK it's fixed, sorry for this real stupid mistake :-(

Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug-1.1-4.src.rpm

The package itself is ready for review, but cannot be reviewed until 
bug 177818 has been resolved however.
Comment 6 Linus Walleij 2006-02-01 15:28:06 EST
Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug-1.1-5.src.rpm

Fixes for the problems pointed out by Michael in bug 177865.
Comment 7 Linus Walleij 2006-05-06 15:53:43 EDT
New release from upstream:

Spec Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug.spec
SRPM Name or Url: http://www.df.lth.se/~triad/krad/fc/xmms-adplug-1.2-1.src.rpm
Comment 8 Linus Walleij 2006-05-16 03:17:25 EDT
OK the dependant package adplug has been imported and built so
this may be reviewed now Warren.
Comment 9 Jason Tibbitts 2006-06-24 00:49:25 EDT
Is this package under review?  It's assigned but still blocking FE-NEW (and I
know Warren's pretty busy these days).
Comment 10 Linus Walleij 2006-06-24 16:05:31 EDT
I don't think Warren would mind if you hijacked the review for this
package Jason...
Comment 11 Jason Tibbitts 2006-06-26 14:04:41 EDT
Grabbing this per IRC discussion with Warren.
Comment 12 Jason Tibbitts 2006-06-26 14:35:38 EDT
Builds fine in mock and rpmlint is silent.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   293808d1520d9d04c7909d4acb187943  adplug-xmms-1.2.tar.bz2
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   libadplugxmms.so()(64bit)
   xmms-adplug = 1.2-1.fc6
  =
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libXi.so.6()(64bit)
   libadplug-2.0.so.0()(64bit)
   libbinio.so.1()(64bit)
   libgdk-1.2.so.0()(64bit)
   libglib-1.2.so.0()(64bit)
   libgtk-1.2.so.0()(64bit)
   libxmms.so.1()(64bit)
* shared libraries are present, internal to xmms.
* package is not relocatable.
* owns the directories it creates.
    _libdir/xmms/Input is provided by xmms-libs, which is a dependency via
libxmms.so.1
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 13 Linus Walleij 2006-06-27 13:53:45 EDT
Imported and built fine.

Thanks again Jason for saving my packages!

Note You need to log in before you can comment on or make changes to this bug.